﻿using DamageAssesment.Api.Responses.Models;

namespace DamageAssesment.Api.Responses.Interfaces
{
    public interface IAnswerServiceProvider
    {
        Task<List<Answer>> getAnswersAsync(string token);
        Task<List<Models.Answer>> GetAnswersByResponseIdAsync(int responseId, string token);

        Task<Models.Answer> PostAnswersAsync(Models.Answer answer, string token);
    }
}
